Subject: Ticket Assigned - Order ID # 6146107093
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 30 May 2022 16:33:35 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order ID # 6146107093 Dear Customer Support Thanks for the instant delivery for the subject order. Unfortunately line item # 1 , is not in a good condition, no box , wrapped in a dirty plastic bag. I had planned to give this as a gift to a friend. But now I don’t think I will be able to gift it. How can you compensate for this ? Or should I return the product and ask for refund. Attached is the picture of the branded Fossil Watch. Regards Yusuf Farosh Jeddah +966 507378549 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4424358